]> git.saurik.com Git - wxWidgets.git/blobdiff - configure
Added 'Delimiter' attribute for wxArrayStringProperty. Moved static ArrayStringToStri...
[wxWidgets.git] / configure
index 9744a94c47d65c0840fb7a223c7032ea45c78560..fb4ea18826fb6211152c3b42c2270636f2d26a58 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Id.
+# From configure.in Id: configure.in 64869 2010-07-10 16:12:10Z JS .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.61 for wxWidgets 2.9.1.
 #
@@ -676,6 +676,8 @@ CXX
 CXXFLAGS
 ac_ct_CXX
 AR
+OSX_SW_VERS
+CXXCPP
 subdirs
 PKG_CONFIG
 GTK_CFLAGS
@@ -883,10 +885,13 @@ COND_PLATFORM_MACOSX_0_USE_SOVERCYGWIN_0_USE_SOVERSION_1
 COND_PLATFORM_MACOSX_0_USE_SOVERSION_1
 COND_PLATFORM_MACOSX_1
 COND_PLATFORM_MACOSX_1_PLATFORM_MSDOS_0
+COND_PLATFORM_MACOSX_1_PLATFORM_WIN32_1_SHARED_0
 COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_CARBON_USE_GUI_1
 COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_CARBON_USE_GUI_1_WXUNIV_0
 COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_COCOA_USE_GUI_1
 COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_COCOA_USE_GUI_1_WXUNIV_0
+COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1
+COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1_WXUNIV_0
 COND_PLATFORM_MACOSX_1_USE_GUI_1
 COND_PLATFORM_MACOSX_1_USE_OPENGL_1
 COND_PLATFORM_MACOSX_1_USE_SOVERSION_1
@@ -904,6 +909,7 @@ COND_PLATFORM_UNIX_1_USE_GUI_1
 COND_PLATFORM_UNIX_1_USE_PLUGINS_0
 COND_PLATFORM_WIN32_0
 COND_PLATFORM_WIN32_1
+COND_PLATFORM_WIN32_1_SHARED_0
 COND_SHARED_0
 COND_SHARED_0_TOOLKIT_MAC_WXUNIV_0
 COND_SHARED_0_TOOLKIT_MSW_WXUNIV_0
@@ -947,6 +953,8 @@ COND_TOOLKIT_OSX_CARBON_USE_GUI_1
 COND_TOOLKIT_OSX_COCOA
 COND_TOOLKIT_OSX_COCOA_USE_GUI_1
 COND_TOOLKIT_OSX_IPHONE
+COND_TOOLKIT_OSX_IPHONE_USE_GUI_1
+COND_TOOLKIT_OSX_IPHONE_USE_GUI_1_WXUNIV_0
 COND_TOOLKIT_PM
 COND_TOOLKIT_PM_USE_GUI_1
 COND_TOOLKIT_PM_USE_GUI_1_WXUNIV_0
@@ -957,6 +965,7 @@ COND_TOOLKIT_WINCE_WXUNIV_0
 COND_TOOLKIT_X11
 COND_TOOLKIT_X11_USE_GUI_1
 COND_UNICODE_1
+COND_USE_CAIRO_1
 COND_USE_EXCEPTIONS_0
 COND_USE_EXCEPTIONS_1
 COND_USE_GUI_0
@@ -1059,6 +1068,7 @@ CPP
 CXX
 CXXFLAGS
 CCC
+CXXCPP
 PKG_CONFIG
 DIRECTFB_CFLAGS
 DIRECTFB_LIBS
@@ -1732,12 +1742,14 @@ Optional Features:
   --enable-exceptions     build exception-safe library
   --enable-ffile          use wxFFile class
   --enable-file           use wxFile class
+  --enable-filehistory    use wxFileHistory class
   --enable-filesystem     use virtual file systems classes
   --enable-fontenum       use wxFontEnumerator class
   --enable-fontmap        use font encodings conversion classes
   --enable-fs_archive     use virtual archive filesystems
   --enable-fs_inet        use virtual HTTP/FTP filesystems
   --enable-fs_zip         now replaced by fs_archive
+  --enable-fswatcher      use wxFileSystemWatcher class
   --enable-geometry       use geometry class
   --enable-log            use logging system
   --enable-longlong       use wxLongLong class
@@ -1783,10 +1795,10 @@ Optional Features:
   --enable-gstreamer8     force GStreamer 0.8 instead of 0.10 with the wxMediaCtrl class on unix
   --enable-webkit         use wxWebKitCtrl (Mac)
   --enable-richtext       use wxRichTextCtrl
-  --enable-graphics_ctx   use graphics context 2D drawing API
   --enable-postscript     use wxPostscriptDC device context (default for gtk+)
   --enable-printarch      use printing architecture
   --enable-svg            use wxSVGFileDC device context
+  --enable-graphics_ctx   use graphics context 2D drawing API
   --enable-clipboard      use wxClipboard class
   --enable-dnd            use Drag'n'Drop classes
   --enable-metafile       use win32 metafiles
@@ -1878,6 +1890,7 @@ Optional Features:
   --enable-metafiles      use wxMetaFile (Win32 only)
   --enable-dragimage      use wxDragImage
   --enable-accessibility  enable accessibility support
+  --enable-uiactionsim    use wxUIActionSimulator (experimental)
   --enable-palette        use wxPalette class
   --enable-image          use wxImage class
   --enable-gif            use gif images (GIF file format)
@@ -1914,8 +1927,13 @@ Optional Packages:
   --with-motif            use Motif/Lesstif
   --with-osx_carbon       use Mac OS X (Carbon)
   --with-osx_cocoa        use Mac OS X (Cocoa)
-  --with-mac              use Mac OS X (Default)
-  --with-cocoa            use Cocoa
+  --with-osx_iphone       use iPhone OS X port
+  --with-osx              use Mac OS X (default port, currently Carbon)
+  --with-carbon           same as --with-osx_carbon
+  --with-cocoa            same as --with-osx_cocoa
+  --with-iphone           same as --with-osx_iphone
+  --with-mac              same as --with-osx
+  --with-old_cocoa        use old, deprecated, Cocoa port
   --with-wine             use Wine
   --with-msw              use MS-Windows
   --with-pm               use OS/2 Presentation Manager
@@ -1961,6 +1979,7 @@ Some influential environment variables:
   CPP         C preprocessor
   CXX         C++ compiler command
   CXXFLAGS    C++ compiler flags
+  CXXCPP      C++ preprocessor
   PKG_CONFIG  path to pkg-config utility
   DIRECTFB_CFLAGS
               C compiler flags for DIRECTFB, overriding pkg-config
@@ -2600,12 +2619,13 @@ USE_ALPHA=
 
 NEEDS_D_REENTRANT_FOR_R_FUNCS=0
 
-ALL_TOOLKITS="COCOA GTK OSX_CARBON OSX_COCOA MGL MICROWIN MOTIF MSW PM X11 DFB"
+ALL_TOOLKITS="COCOA GTK OSX_CARBON OSX_COCOA OSX_IPHONE MGL MICROWIN MOTIF MSW PM X11 DFB"
 
-DEFAULT_wxUSE_COCOA=0
+DEFAULT_wxUSE_OLD_COCOA=0
 DEFAULT_wxUSE_GTK=0
 DEFAULT_wxUSE_OSX_CARBON=0
 DEFAULT_wxUSE_OSX_COCOA=0
+DEFAULT_wxUSE_OSX_IPHONE=0
 DEFAULT_wxUSE_MGL=0
 DEFAULT_wxUSE_MICROWIN=0
 DEFAULT_wxUSE_MOTIF=0
@@ -2614,10 +2634,11 @@ DEFAULT_wxUSE_PM=0
 DEFAULT_wxUSE_X11=0
 DEFAULT_wxUSE_DFB=0
 
-DEFAULT_DEFAULT_wxUSE_COCOA=0
+DEFAULT_DEFAULT_wxUSE_OLD_COCOA=0
 DEFAULT_DEFAULT_wxUSE_GTK=0
 DEFAULT_DEFAULT_wxUSE_OSX_CARBON=0
 DEFAULT_DEFAULT_wxUSE_OSX_COCOA=0
+DEFAULT_DEFAULT_wxUSE_OSX_IPHONE=0
 DEFAULT_DEFAULT_wxUSE_MGL=0
 DEFAULT_DEFAULT_wxUSE_MICROWIN=0
 DEFAULT_DEFAULT_wxUSE_MOTIF=0
@@ -2686,6 +2707,14 @@ _ACEOF
 
     DEFAULT_DEFAULT_wxUSE_MOTIF=1
   ;;
+  *-*-qnx*)
+    USE_QNX=1
+    cat >>confdefs.h <<\_ACEOF
+#define __QNX__ 1
+_ACEOF
+
+    DEFAULT_DEFAULT_wxUSE_X11=1
+  ;;
   *-*-solaris2* )
     USE_SUN=1
     USE_SOLARIS=1
@@ -2882,6 +2911,20 @@ _ACEOF
     DEFAULT_STD_FLAG=no
   ;;
 
+  arm-apple-darwin*)
+        USE_BSD=1
+    USE_DARWIN=1
+    cat >>confdefs.h <<\_ACEOF
+#define __BSD__ 1
+_ACEOF
+
+    cat >>confdefs.h <<\_ACEOF
+#define __DARWIN__ 1
+_ACEOF
+
+    DEFAULT_DEFAULT_wxUSE_OSX_IPHONE=1
+  ;;
+
   *-*-darwin* )
         USE_BSD=1
     USE_DARWIN=1
@@ -2933,9 +2976,9 @@ DEFAULT_wxUSE_LIBMSPACK=no
 DEFAULT_wxUSE_LIBSDL=no
 
 DEFAULT_wxUSE_ACCESSIBILITY=no
-DEFAULT_wxUSE_GRAPHICS_CONTEXT=no
 DEFAULT_wxUSE_IPV6=no
 DEFAULT_wxUSE_GSTREAMER8=no
+DEFAULT_wxUSE_UIACTIONSIMULATOR=no
 
 DEFAULT_wxUSE_UNICODE_UTF8=auto
 DEFAULT_wxUSE_OPENGL=auto
@@ -3320,15 +3363,45 @@ if test "${with_osx_cocoa+set}" = set; then
 fi
 
 
+# Check whether --with-osx_iphone was given.
+if test "${with_osx_iphone+set}" = set; then
+  withval=$with_osx_iphone; wxUSE_OSX_IPHONE="$withval" CACHE_OSX_IPHONE=1 TOOLKIT_GIVEN=1
+fi
+
+
+# Check whether --with-osx was given.
+if test "${with_osx+set}" = set; then
+  withval=$with_osx; wxUSE_OSX_CARBON="$withval" CACHE_OSX_CARBON=1 TOOLKIT_GIVEN=1
+fi
+
+
+# Check whether --with-carbon was given.
+if test "${with_carbon+set}" = set; then
+  withval=$with_carbon; wxUSE_OSX_CARBON="$withval" CACHE_OSX_CARBON=1 TOOLKIT_GIVEN=1
+fi
+
+
+# Check whether --with-cocoa was given.
+if test "${with_cocoa+set}" = set; then
+  withval=$with_cocoa; wxUSE_OSX_COCOA="$withval" CACHE_OSX_COCOA=1 TOOLKIT_GIVEN=1
+fi
+
+
+# Check whether --with-iphone was given.
+if test "${with_iphone+set}" = set; then
+  withval=$with_iphone; wxUSE_OSX_IPHONE="$withval" CACHE_OSX_IPHONE=1 TOOLKIT_GIVEN=1
+fi
+
+
 # Check whether --with-mac was given.
 if test "${with_mac+set}" = set; then
   withval=$with_mac; wxUSE_OSX_CARBON="$withval" CACHE_OSX_CARBON=1 TOOLKIT_GIVEN=1
 fi
 
 
-# Check whether --with-cocoa was given.
-if test "${with_cocoa+set}" = set; then
-  withval=$with_cocoa; wxUSE_COCOA="$withval" CACHE_COCOA=1 TOOLKIT_GIVEN=1
+# Check whether --with-old_cocoa was given.
+if test "${with_old_cocoa+set}" = set; then
+  withval=$with_old_cocoa; wxUSE_OLD_COCOA="$withval" CACHE_OLD_COCOA=1 TOOLKIT_GIVEN=1
 fi
 
 
@@ -3514,8 +3587,8 @@ echo "$as_me: error: BeOS GUI is not supported yet, use --disable-gui" >&2;}
       done
     fi
 
-            NUM_TOOLKITS=`expr ${wxUSE_COCOA:-0} + ${wxUSE_GTK:-0} + ${wxUSE_OSX_CARBON:-0} \
-                  + ${wxUSE_OSX_COCOA:-0} + ${wxUSE_MGL:-0} + ${wxUSE_DFB:-0} \
+            NUM_TOOLKITS=`expr ${wxUSE_OLD_COCOA:-0} + ${wxUSE_GTK:-0} + ${wxUSE_OSX_CARBON:-0} \
+                  + ${wxUSE_OSX_COCOA:-0} + ${wxUSE_OSX_IPHONE:-0} + ${wxUSE_MGL:-0} + ${wxUSE_DFB:-0} \
                   + ${wxUSE_MICROWIN:-0} + ${wxUSE_MOTIF:-0} + ${wxUSE_MSW:-0} + ${wxUSE_X11:-0}`
 
         case "${host}" in
@@ -3540,8 +3613,10 @@ echo "$as_me: error: Please specify at most one toolkit" >&2;}
     # to be removed when --disable-gtk2 isn't needed
     if test "x$wxUSE_GTK2" = "xyes"; then
         wxGTK_VERSION=2
+        wxUSE_GTK1=0
     elif test "x$wxUSE_GTK2" = "xno"; then
         wxGTK_VERSION=1
+        wxUSE_GTK1=1
     fi
 
     for toolkit in $ALL_TOOLKITS; do
@@ -3564,7 +3639,9 @@ echo "${ECHO_T}base only" >&6; }
 fi
 
 wxUSE_MAC=0
-if test "$wxUSE_OSX_CARBON" = 1 -o "$wxUSE_OSX_COCOA" = 1; then
+if test "$wxUSE_OSX_CARBON" = 1 \
+       -o "$wxUSE_OSX_COCOA" = 1 \
+       -o "$wxUSE_OSX_IPHONE" = 1; then
     wxUSE_MAC=1
 fi
 
@@ -6947,6 +7024,50 @@ fi
 echo "${ECHO_T}$result" >&6; }
 
 
+          enablestring=
+          defaultval=$wxUSE_ALL_FEATURES
+          if test -z "$defaultval"; then
+              if test x"$enablestring" = xdisable; then
+                  defaultval=yes
+              else
+                  defaultval=no
+              fi
+          fi
+
+          { echo "$as_me:$LINENO: checking for --${enablestring:-enable}-filehistory" >&5
+echo $ECHO_N "checking for --${enablestring:-enable}-filehistory... $ECHO_C" >&6; }
+          # Check whether --enable-filehistory was given.
+if test "${enable_filehistory+set}" = set; then
+  enableval=$enable_filehistory;
+                          if test "$enableval" = yes; then
+                            wx_cv_use_filehistory='wxUSE_FILE_HISTORY=yes'
+                          else
+                            wx_cv_use_filehistory='wxUSE_FILE_HISTORY=no'
+                          fi
+
+else
+
+                          wx_cv_use_filehistory='wxUSE_FILE_HISTORY=${'DEFAULT_wxUSE_FILE_HISTORY":-$defaultval}"
+
+fi
+
+
+          eval "$wx_cv_use_filehistory"
+
+          if test x"$enablestring" = xdisable; then
+            if test $wxUSE_FILE_HISTORY = no; then
+              result=yes
+            else
+              result=no
+            fi
+          else
+            result=$wxUSE_FILE_HISTORY
+          fi
+
+          { echo "$as_me:$LINENO: result: $result" >&5
+echo "${ECHO_T}$result" >&6; }
+
+
           enablestring=
           defaultval=$wxUSE_ALL_FEATURES
           if test -z "$defaultval"; then
@@ -7211,6 +7332,50 @@ fi
 echo "${ECHO_T}$result" >&6; }
 
 
+          enablestring=
+          defaultval=$wxUSE_ALL_FEATURES
+          if test -z "$defaultval"; then
+              if test x"$enablestring" = xdisable; then
+                  defaultval=yes
+              else
+                  defaultval=no
+              fi
+          fi
+
+          { echo "$as_me:$LINENO: checking for --${enablestring:-enable}-fswatcher" >&5
+echo $ECHO_N "checking for --${enablestring:-enable}-fswatcher... $ECHO_C" >&6; }
+          # Check whether --enable-fswatcher was given.
+if test "${enable_fswatcher+set}" = set; then
+  enableval=$enable_fswatcher;
+                          if test "$enableval" = yes; then
+                            wx_cv_use_fswatcher='wxUSE_FSWATCHER=yes'
+                          else
+                            wx_cv_use_fswatcher='wxUSE_FSWATCHER=no'
+                          fi
+
+else
+
+                          wx_cv_use_fswatcher='wxUSE_FSWATCHER=${'DEFAULT_wxUSE_FSWATCHER":-$defaultval}"
+
+fi
+
+
+          eval "$wx_cv_use_fswatcher"
+
+          if test x"$enablestring" = xdisable; then
+            if test $wxUSE_FSWATCHER = no; then
+              result=yes
+            else
+              result=no
+            fi
+          else
+            result=$wxUSE_FSWATCHER
+          fi
+
+          { echo "$as_me:$LINENO: result: $result" >&5
+echo "${ECHO_T}$result" >&6; }
+
+
           enablestring=
           defaultval=$wxUSE_ALL_FEATURES
           if test -z "$defaultval"; then
@@ -7661,25 +7826,25 @@ echo "${ECHO_T}$result" >&6; }
               fi
           fi
 
-          { echo "$as_me:$LINENO: checking for --${enablestring:-enable}-system_options" >&5
-echo $ECHO_N "checking for --${enablestring:-enable}-system_options... $ECHO_C" >&6; }
-          # Check whether --enable-system_options was given.
-if test "${enable_system_options+set}" = set; then
-  enableval=$enable_system_options;
+          { echo "$as_me:$LINENO: checking for --${enablestring:-enable}-sysoptions" >&5
+echo $ECHO_N "checking for --${enablestring:-enable}-sysoptions... $ECHO_C" >&6; }
+          # Check whether --enable-sysoptions was given.
+if test "${enable_sysoptions+set}" = set; then
+  enableval=$enable_sysoptions;
                           if test "$enableval" = yes; then
-                            wx_cv_use_system_options='wxUSE_SYSTEM_OPTIONS=yes'
+                            wx_cv_use_sysoptions='wxUSE_SYSTEM_OPTIONS=yes'
                           else
-                            wx_cv_use_system_options='wxUSE_SYSTEM_OPTIONS=no'
+                            wx_cv_use_sysoptions='wxUSE_SYSTEM_OPTIONS=no'
                           fi
 
 else
 
-                          wx_cv_use_system_options='wxUSE_SYSTEM_OPTIONS=${'DEFAULT_wxUSE_SYSTEM_OPTIONS":-$defaultval}"
+                          wx_cv_use_sysoptions='wxUSE_SYSTEM_OPTIONS=${'DEFAULT_wxUSE_SYSTEM_OPTIONS":-$defaultval}"
 
 fi
 
 
-          eval "$wx_cv_use_system_options"
+          eval "$wx_cv_use_sysoptions"
 
           if test x"$enablestring" = xdisable; then
             if test $wxUSE_SYSTEM_OPTIONS = no; then
@@ -9198,50 +9363,6 @@ fi
 echo "${ECHO_T}$result" >&6; }
 
 
-          enablestring=
-          defaultval=$wxUSE_ALL_FEATURES
-          if test -z "$defaultval"; then
-              if test x"$enablestring" = xdisable; then
-                  defaultval=yes
-              else
-                  defaultval=no
-              fi
-          fi
-
-          { echo "$as_me:$LINENO: checking for --${enablestring:-enable}-graphics_ctx" >&5
-echo $ECHO_N "checking for --${enablestring:-enable}-graphics_ctx... $ECHO_C" >&6; }
-          # Check whether --enable-graphics_ctx was given.
-if test "${enable_graphics_ctx+set}" = set; then
-  enableval=$enable_graphics_ctx;
-                          if test "$enableval" = yes; then
-                            wx_cv_use_graphics_ctx='wxUSE_GRAPHICS_CONTEXT=yes'
-                          else
-                            wx_cv_use_graphics_ctx='wxUSE_GRAPHICS_CONTEXT=no'
-                          fi
-
-else
-
-                          wx_cv_use_graphics_ctx='wxUSE_GRAPHICS_CONTEXT=${'DEFAULT_wxUSE_GRAPHICS_CONTEXT":-$defaultval}"
-
-fi
-
-
-          eval "$wx_cv_use_graphics_ctx"
-
-          if test x"$enablestring" = xdisable; then
-            if test $wxUSE_GRAPHICS_CONTEXT = no; then
-              result=yes
-            else
-              result=no
-            fi
-          else
-            result=$wxUSE_GRAPHICS_CONTEXT
-          fi
-
-          { echo "$as_me:$LINENO: result: $result" >&5
-echo "${ECHO_T}$result" >&6; }
-
-
           enablestring=
           defaultval=$wxUSE_ALL_FEATURES
           if test -z "$defaultval"; then
@@ -9374,6 +9495,53 @@ fi
 echo "${ECHO_T}$result" >&6; }
 
 
+if test "$wxUSE_MAC" != 1; then
+
+          enablestring=
+          defaultval=$wxUSE_ALL_FEATURES
+          if test -z "$defaultval"; then
+              if test x"$enablestring" = xdisable; then
+                  defaultval=yes
+              else
+                  defaultval=no
+              fi
+          fi
+
+          { echo "$as_me:$LINENO: checking for --${enablestring:-enable}-graphics_ctx" >&5
+echo $ECHO_N "checking for --${enablestring:-enable}-graphics_ctx... $ECHO_C" >&6; }
+          # Check whether --enable-graphics_ctx was given.
+if test "${enable_graphics_ctx+set}" = set; then
+  enableval=$enable_graphics_ctx;
+                          if test "$enableval" = yes; then
+                            wx_cv_use_graphics_ctx='wxUSE_GRAPHICS_CONTEXT=yes'
+                          else
+                            wx_cv_use_graphics_ctx='wxUSE_GRAPHICS_CONTEXT=no'
+                          fi
+
+else
+
+                          wx_cv_use_graphics_ctx='wxUSE_GRAPHICS_CONTEXT=${'DEFAULT_wxUSE_GRAPHICS_CONTEXT":-$defaultval}"
+
+fi
+
+
+          eval "$wx_cv_use_graphics_ctx"
+
+          if test x"$enablestring" = xdisable; then
+            if test $wxUSE_GRAPHICS_CONTEXT = no; then
+              result=yes
+            else
+              result=no
+            fi
+          else
+            result=$wxUSE_GRAPHICS_CONTEXT
+          fi
+
+          { echo "$as_me:$LINENO: result: $result" >&5
+echo "${ECHO_T}$result" >&6; }
+
+fi
+
 
 
           enablestring=
 echo "${ECHO_T}$result" >&6; }
 
 
+          enablestring=
+          defaultval=$wxUSE_ALL_FEATURES
+          if test -z "$defaultval"; then
+              if test x"$enablestring" = xdisable; then
+                  defaultval=yes
+              else
+                  defaultval=no
+              fi
+          fi
+
+          { echo "$as_me:$LINENO: checking for --${enablestring:-enable}-uiactionsim" >&5
+echo $ECHO_N "checking for --${enablestring:-enable}-uiactionsim... $ECHO_C" >&6; }
+          # Check whether --enable-uiactionsim was given.
+if test "${enable_uiactionsim+set}" = set; then
+  enableval=$enable_uiactionsim;
+                          if test "$enableval" = yes; then
+                            wx_cv_use_uiactionsim='wxUSE_UIACTIONSIMULATOR=yes'
+                          else
+                            wx_cv_use_uiactionsim='wxUSE_UIACTIONSIMULATOR=no'
+                          fi
+
+else
+
+                          wx_cv_use_uiactionsim='wxUSE_UIACTIONSIMULATOR=${'DEFAULT_wxUSE_UIACTIONSIMULATOR":-$defaultval}"
+
+fi
+
+
+          eval "$wx_cv_use_uiactionsim"
+
+          if test x"$enablestring" = xdisable; then
+            if test $wxUSE_UIACTIONSIMULATOR = no; then
+              result=yes
+            else
+              result=no
+            fi
+          else
+            result=$wxUSE_UIACTIONSIMULATOR
+          fi
+
+          { echo "$as_me:$LINENO: result: $result" >&5
+echo "${ECHO_T}$result" >&6; }
+
+
 
 
           enablestring=
 rm -f confcache
 
 CFLAGS=${CFLAGS:=}
-
-
-
-    ac_ext=c
+ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
@@ -15117,6 +15326,10 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
 
 
+
+
+
+
     ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -16630,7 +16843,7 @@ if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
 else
   ac_cv_prog_gcc_traditional=no
 fi
-rm -f conftest*
+rm -f -r conftest*
 
 
   if test $ac_cv_prog_gcc_traditional = no; then
@@ -16647,7 +16860,7 @@ if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
   $EGREP "$ac_pattern" >/dev/null 2>&1; then
   ac_cv_prog_gcc_traditional=yes
 fi
-rm -f conftest*
+rm -f -r conftest*
 
   fi
 fi
 
 
 CXXFLAGS=${CXXFLAGS:=}
-
-
-
-    ac_ext=cpp
+ac_ext=cpp
 ac_cpp='$CXXCPP $CPPFLAGS'
 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
@@ -17030,6 +17240,10 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
 
 
+
+
+
+
     ac_ext=cpp
 ac_cpp='$CXXCPP $CPPFLAGS'
 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -18344,14 +18558,71 @@ echo "$as_me: WARNING: Could not determine deployment target from SDKSettings.pl
         wxUSE_MACOSX_VERSION_MIN=
     fi
 elif test "x$wxUSE_MACOSX_VERSION_MIN" = "x"; then
-    OSX_VERSION=`sw_vers -productVersion | grep 10.[0-9]`
-    if test "$wxUSE_OSX_CARBON" = 1 -o "x$OSX_VERSION" = "x10.4"; then
-        # otherwise configure stops on leopard for universal_binary
-        wxUSE_MACOSX_VERSION_MIN=10.4
+    for ac_prog in sw_vers
+do
+  # Extract the first word of "$ac_prog", so it can be a program name with args.
+set dummy $ac_prog; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_prog_OSX_SW_VERS+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$OSX_SW_VERS"; then
+  ac_cv_prog_OSX_SW_VERS="$OSX_SW_VERS" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_OSX_SW_VERS="$ac_prog"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+fi
+fi
+OSX_SW_VERS=$ac_cv_prog_OSX_SW_VERS
+if test -n "$OSX_SW_VERS"; then
+  { echo "$as_me:$LINENO: result: $OSX_SW_VERS" >&5
+echo "${ECHO_T}$OSX_SW_VERS" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
+  test -n "$OSX_SW_VERS" && break
+done
+
+    if test "$OSX_SW_VERS" != ""; then
+        OSX_VERSION=`sw_vers -productVersion | grep 10.[0-9]`
     else
-        # for OS X Cocoa, use 10.5 so we can get 64-bit compile on Snow Leopard
-        wxUSE_MACOSX_VERSION_MIN=10.5
+                        { echo "$as_me:$LINENO: WARNING: Assuming OS X 10.4, use --with-macosx-version-min to override." >&5
+echo "$as_me: WARNING: Assuming OS X 10.4, use --with-macosx-version-min to override." >&2;}
+        OSX_VERSION="10.4"
     fi
+
+    case "$OSX_VERSION" in
+        10.4* )
+            wxUSE_MACOSX_VERSION_MIN=10.4
+            ;;
+
+        * )
+            if test "$wxUSE_OSX_CARBON" = 1; then
+                # otherwise configure stops on leopard for universal_binary
+                wxUSE_MACOSX_VERSION_MIN=10.4
+            else
+                # for Cocoa, use 10.5 to be able to compile it in 64 bits too
+                wxUSE_MACOSX_VERSION_MIN=10.5
+            fi
+            ;;
+    esac
 fi
 
 NEEDS_GCC40="no"
@@ -18384,7 +18655,11 @@ if test "x$NEEDS_GCC40" == "xyes"; then
 fi
 
 if test "x$wxUSE_MACOSX_VERSION_MIN" != "x"; then
-    MACOSX_VERSION_MIN_OPTS="-mmacosx-version-min=$wxUSE_MACOSX_VERSION_MIN"
+    if test "$wxUSE_OSX_IPHONE" = 1; then
+        MACOSX_VERSION_MIN_OPTS="-miphoneos-version-min=$wxUSE_MACOSX_VERSION_MIN"
+    else
+        MACOSX_VERSION_MIN_OPTS="-mmacosx-version-min=$wxUSE_MACOSX_VERSION_MIN"
+    fi
     eval "CC=\"$CC $MACOSX_VERSION_MIN_OPTS\""
     eval "CXX=\"$CXX $MACOSX_VERSION_MIN_OPTS\""
     eval "LD=\"$LD $MACOSX_VERSION_MIN_OPTS\""
@@ -19194,7 +19469,7 @@ if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
 else
   ac_cv_header_stdc=no
 fi
-rm -f conftest*
+rm -f -r conftest*
 
 fi
 
@@ -19215,7 +19490,7 @@ if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
 else
   ac_cv_header_stdc=no
 fi
-rm -f conftest*
+rm -f -r conftest*
 
 fi
 
@@ -24016,13 +24291,11 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <sys/types.h> /* for off_t */
-     #include <stdio.h>
+#include <stdio.h>
 int
 main ()
 {
-int (*fp) (FILE *, off_t, int) = fseeko;
-     return fseeko (stdin, 0, 0) && fp (stdin, 0, 0);
+return fseeko (stdin, 0, 0) && (fseeko) (stdin, 0, 0);
   ;
   return 0;
 }
@@ -24062,13 +24335,11 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #define _LARGEFILE_SOURCE 1
-#include <sys/types.h> /* for off_t */
-     #include <stdio.h>
+#include <stdio.h>
 int
 main ()
 {
-int (*fp) (FILE *, off_t, int) = fseeko;
-     return fseeko (stdin, 0, 0) && fp (stdin, 0, 0);
+return fseeko (stdin, 0, 0) && (fseeko) (stdin, 0, 0);
   ;
   return 0;
 }
@@ -24115,7 +24386,7 @@ cat >>confdefs.h <<_ACEOF
 _ACEOF
 ;;
 esac
-rm -f conftest*
+rm -f -r conftest*
 
 # We used to try defining _XOPEN_SOURCE=500 too, to work around a bug
 # in glibc 2.1.3, but that breaks too many other things.
@@ -24530,10 +24801,142 @@ if test "x$SUNCC" = xyes; then
 fi
 
 if test "x$SGICC" = "xyes"; then
-    CFLAGS="-woff 3970 $CFLAGS"
+    { echo "$as_me:$LINENO: checking if cc version is 7.4.4 or greater" >&5
+echo $ECHO_N "checking if cc version is 7.4.4 or greater... $ECHO_C" >&6; }
+if test "${wx_cv_prog_sgicc744+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+            cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+int
+main ()
+{
+
+                    #if _SGI_COMPILER_VERSION >= 744
+                    chock me: mipsPro is 7.4.4 or later
+                    #endif
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  wx_cv_prog_sgicc744=no
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       wx_cv_prog_sgicc744=yes
+
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+
+
+fi
+{ echo "$as_me:$LINENO: result: $wx_cv_prog_sgicc744" >&5
+echo "${ECHO_T}$wx_cv_prog_sgicc744" >&6; }
+
+    if test "x$wx_cv_prog_sgicc744" = "xyes"; then
+        CFLAGS="-woff 3970 $CFLAGS"
+    fi
 fi
 if test "x$SGICXX" = "xyes"; then
-    CXXFLAGS="-woff 3970 $CXXFLAGS"
+    { echo "$as_me:$LINENO: checking if CC version is 7.4.4 or greater" >&5
+echo $ECHO_N "checking if CC version is 7.4.4 or greater... $ECHO_C" >&6; }
+if test "${wx_cv_prog_sgicxx744+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+            ac_ext=cpp
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+
+            cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+int
+main ()
+{
+
+                    #if _SGI_COMPILER_VERSION >= 744
+                    chock me: mipsPro is 7.4.4 or later
+                    #endif
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_cxx_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  wx_cv_prog_sgicxx744=no
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       wx_cv_prog_sgicxx744=yes
+
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+            ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
+
+
+
+fi
+{ echo "$as_me:$LINENO: result: $wx_cv_prog_sgicxx744" >&5
+echo "${ECHO_T}$wx_cv_prog_sgicxx744" >&6; }
+
+    if test "x$wx_cv_prog_sgicxx744" = "xyes"; then
+        CXXFLAGS="-woff 3970 $CXXFLAGS"
+    fi
 fi
 
 if test "x$HPCC" = "xyes"; then
     fi
 fi
 
+ac_ext=cpp
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+{ echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
+echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6; }
+if test -z "$CXXCPP"; then
+  if test "${ac_cv_prog_CXXCPP+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+      # Double quotes because CXXCPP needs to be expanded
+    for CXXCPP in "$CXX -E" "/lib/cpp"
+    do
+      ac_preproc_ok=false
+for ac_cxx_preproc_warn_flag in '' yes
+do
+  # Use a header file that comes with gcc, so configuring glibc
+  # with a fresh cross-compiler works.
+  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+  # <limits.h> exists even on freestanding compilers.
+  # On the NeXT, cc -E runs the code through the compiler's parser,
+  # not just through cpp. "Syntax error" is here to catch this case.
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+                    Syntax error
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  :
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  # Broken: fails on valid input.
+continue
+fi
+
+rm -f conftest.err conftest.$ac_ext
+
+  # OK, works on sane cases.  Now check whether nonexistent headers
+  # can be detected and how.
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <ac_nonexistent.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  # Broken: success on invalid input.
+continue
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  # Passes both tests.
+ac_preproc_ok=:
+break
+fi
+
+rm -f conftest.err conftest.$ac_ext
+
+done
+# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
+rm -f conftest.err conftest.$ac_ext
+if $ac_preproc_ok; then
+  break
+fi
+
+    done
+    ac_cv_prog_CXXCPP=$CXXCPP
+
+fi
+  CXXCPP=$ac_cv_prog_CXXCPP
+else
+  ac_cv_prog_CXXCPP=$CXXCPP
+fi
+{ echo "$as_me:$LINENO: result: $CXXCPP" >&5
+echo "${ECHO_T}$CXXCPP" >&6; }
+ac_preproc_ok=false
+for ac_cxx_preproc_warn_flag in '' yes
+do
+  # Use a header file that comes with gcc, so configuring glibc
+  # with a fresh cross-compiler works.
+  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+  # <limits.h> exists even on freestanding compilers.
+  # On the NeXT, cc -E runs the code through the compiler's parser,
+  # not just through cpp. "Syntax error" is here to catch this case.
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+                    Syntax error
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  :
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  # Broken: fails on valid input.
+continue
+fi
+
+rm -f conftest.err conftest.$ac_ext
+
+  # OK, works on sane cases.  Now check whether nonexistent headers
+  # can be detected and how.
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <ac_nonexistent.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  # Broken: success on invalid input.
+continue
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  # Passes both tests.
+ac_preproc_ok=:
+break
+fi
+
+rm -f conftest.err conftest.$ac_ext
+
+done
+# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
+rm -f conftest.err conftest.$ac_ext
+if $ac_preproc_ok; then
+  :
+else
+  { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
+See \`config.log' for more details." >&5
+echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+ac_ext=cpp
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+
+
+
+
+for ac_header in type_traits tr1/type_traits
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  { echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_cxx_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <$ac_header>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+    ( cat <<\_ASBOX
+## ----------------------------------------- ##
+## Report this to wx-dev@lists.wxwidgets.org ##
+## ----------------------------------------- ##
+_ASBOX
+     ) | sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  eval "$as_ac_Header=\$ac_header_preproc"
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+
 
 
   if test -n "$GCC"; then
@@ -26967,9 +27744,9 @@ echo "${ECHO_T}$ac_cv_header_png_h" >&6; }
 
 
             if test "$ac_cv_header_png_h" = "yes"; then
-                { echo "$as_me:$LINENO: checking for png_check_sig in -lpng" >&5
-echo $ECHO_N "checking for png_check_sig in -lpng... $ECHO_C" >&6; }
-if test "${ac_cv_lib_png_png_check_sig+set}" = set; then
+                { echo "$as_me:$LINENO: checking for png_sig_cmp in -lpng" >&5
+echo $ECHO_N "checking for png_sig_cmp in -lpng... $ECHO_C" >&6; }
+if test "${ac_cv_lib_png_png_sig_cmp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
@@ -26987,11 +27764,11 @@ cat >>conftest.$ac_ext <<_ACEOF
 #ifdef __cplusplus
 extern "C"
 #endif
-char png_check_sig ();
+char png_sig_cmp ();
 int
 main ()
 {
-return png_check_sig ();
+return png_sig_cmp ();
   ;
   return 0;
 }
@@ -27014,21 +27791,21 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest$ac_exeext &&
        $as_test_x conftest$ac_exeext; then
-  ac_cv_lib_png_png_check_sig=yes
+  ac_cv_lib_png_png_sig_cmp=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-       ac_cv_lib_png_png_check_sig=no
+       ac_cv_lib_png_png_sig_cmp=no
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_png_png_check_sig" >&5
-echo "${ECHO_T}$ac_cv_lib_png_png_check_sig" >&6; }
-if test $ac_cv_lib_png_png_check_sig = yes; then
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_png_png_sig_cmp" >&5
+echo "${ECHO_T}$ac_cv_lib_png_png_sig_cmp" >&6; }
+if test $ac_cv_lib_png_png_sig_cmp = yes; then
   PNG_LINK=" -lpng -lz"
 fi
 
@@ -28362,7 +29139,7 @@ fi
 
 
             case "${host}" in
-       x86_64-*-mingw32* )
+        x86_64-*-mingw32* )
                         LIBS="$LIBS -lwinspool -lwinmm -lshell32 -lcomctl32 -lcomdlg32 -lwctl3d32 -ladvapi32 -lwsock32 -lgdi32"
 
                                                 WINDRES_CPU_DEFINE="--define WX_CPU_AMD64"
@@ -28453,7 +29230,7 @@ if test "$wxUSE_GUI" = "yes"; then
     WXGTK2=
     WXGPE=
 
-    if test "$wxUSE_COCOA" = 1 ; then
+    if test "$wxUSE_OLD_COCOA" = 1 ; then
         if test "$wxUSE_PRINTING_ARCHITECTURE" = "yes"; then
             { echo "$as_me:$LINENO: WARNING: Printing not supported under wxCocoa yet, disabled" >&5
 echo "$as_me: WARNING: Printing not supported under wxCocoa yet, disabled" >&2;}
@@ -29916,6 +30693,8 @@ done
         TOOLKIT_INCLUDE="$wx_cv_cflags_gtk"
         GUI_TK_LIBRARY="$wx_cv_libs_gtk $GUI_TK_LIBRARY"
 
+                TOOLKIT_INCLUDE="$TOOLKIT_INCLUDE -DG_DISABLE_CAST_CHECKS"
+
         AFMINSTALL=afminstall
         TOOLKIT=GTK
         GUIDIST=GTK_DIST
@@ -30321,7 +31100,7 @@ _ACEOF
       eval "ac_im_$ac_var=\`\${MAKE-make} $ac_var 2>/dev/null | sed -n 's/^$ac_var=//p'\`"
     done
     # Open Windows xmkmf reportedly sets LIBDIR instead of USRLIBDIR.
-    for ac_extension in a so sl; do
+    for ac_extension in a so sl dylib la dll; do
       if test ! -f "$ac_im_usrlibdir/libX11.$ac_extension" &&
         test -f "$ac_im_libdir/libX11.$ac_extension"; then
        ac_im_usrlibdir=$ac_im_libdir; break
@@ -30474,7 +31253,7 @@ sed 's/^/| /' conftest.$ac_ext >&5
 for ac_dir in `echo "$ac_x_includes $ac_x_header_dirs" | sed s/include/lib/g`
 do
   # Don't even attempt the hair of trying to link an X program!
-  for ac_extension in a so sl; do
+  for ac_extension in a so sl dylib la dll; do
     if test -r "$ac_dir/libX11.$ac_extension"; then
       ac_x_libraries=$ac_dir
       break 2
@@ -32880,9 +33659,9 @@ echo "${ECHO_T}none" >&6; }
         fi
 
         if test "x$wxUSE_UNIX" = "xyes"; then
-            CPPFLAGS="$CPPFLAGS_PASCAL -I\${top_srcdir}/src/mac/carbon/morefilex -I/Developer/Headers/FlatCarbon $CPPFLAGS"
+            CPPFLAGS="$CPPFLAGS_PASCAL -I/Developer/Headers/FlatCarbon $CPPFLAGS"
         else
-                        CPPFLAGS="$CPPFLAGS_PASCAL -I\${top_srcdir}/src/mac/carbon/morefilex -DTARGET_CARBON $CPPFLAGS"
+                        CPPFLAGS="$CPPFLAGS_PASCAL -DTARGET_CARBON $CPPFLAGS"
         fi
 
         TOOLKIT=OSX_CARBON
@@ -32899,7 +33678,11 @@ echo "${ECHO_T}none" >&6; }
                 TOOLCHAIN_DEFS="${TOOLCHAIN_DEFS} -D__WXMAC__ -D__WXOSX__"
     fi
 
-    if test "$wxUSE_COCOA" = 1; then
+    if test "$wxUSE_OSX_IPHONE" = 1; then
+        TOOLKIT=OSX_IPHONE
+    fi
+
+    if test "$wxUSE_OLD_COCOA" = 1; then
         TOOLKIT=COCOA
         GUIDIST=COCOA_DIST
     fi
@@ -33140,8 +33923,9 @@ fi
 
 
 
+USE_XINERAMA=0
 if test "$wxUSE_DISPLAY" = "yes"; then
-    if test "$wxUSE_UNIX" = "yes" -a "$wxUSE_MAC" != 1 -a "$wxUSE_COCOA" != 1; then
+        if test "$wxUSE_MOTIF" = 1 -o "$wxUSE_X11" = 1 -o "$wxUSE_GTK1" = 1; then
         { echo "$as_me:$LINENO: checking for Xinerama" >&5
 echo $ECHO_N "checking for Xinerama... $ECHO_C" >&6; }
 
@@ -33173,11 +33957,70 @@ echo $ECHO_N "checking for Xinerama... $ECHO_C" >&6; }
             if test "$ac_path_to_link" != " -L/usr/lib" ; then
                 LDFLAGS="$LDFLAGS $ac_path_to_link"
             fi
+            USE_XINERAMA=1
             GUI_TK_LIBRARY="$GUI_TK_LIBRARY -lXinerama"
             { echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6; }
+        else
+            { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+            { echo "$as_me:$LINENO: WARNING: Xinerama not found; disabling wxDisplay" >&5
+echo "$as_me: WARNING: Xinerama not found; disabling wxDisplay" >&2;}
+            wxUSE_DISPLAY="no"
+        fi
+    elif test "$wxUSE_MSW" = 1; then
+                { echo "$as_me:$LINENO: checking for ddraw.h" >&5
+echo $ECHO_N "checking for ddraw.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_ddraw_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <windows.h>
+
+#include <ddraw.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_cv_header_ddraw_h=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_cv_header_ddraw_h=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_ddraw_h" >&5
+echo "${ECHO_T}$ac_cv_header_ddraw_h" >&6; }
+
+
+    fi
+fi
 
-            { echo "$as_me:$LINENO: checking for Xxf86vm extension" >&5
+if test "$wxUSE_DISPLAY" = "yes"; then
+        if test "$USE_XINERAMA" = 1 -o "$wxUSE_GTK" = 1; then
+        { echo "$as_me:$LINENO: checking for Xxf86vm extension" >&5
 echo $ECHO_N "checking for Xxf86vm extension... $ECHO_C" >&6; }
 
   ac_find_libraries=
@@ -33191,8 +34034,8 @@ echo $ECHO_N "checking for Xxf86vm extension... $ECHO_C" >&6; }
     done
   done
 
-            if test "$ac_find_libraries" != "" ; then
-                { echo "$as_me:$LINENO: result: yes" >&5
+        if test "$ac_find_libraries" != "" ; then
+            { echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6; }
 
 for ac_header in X11/extensions/xf86vmode.h
@@ -33210,9 +34053,9 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-                                      #if HAVE_X11_XLIB_H
-                                        #include <X11/Xlib.h>
-                                      #endif
+                                  #if HAVE_X11_XLIB_H
+                                    #include <X11/Xlib.h>
+                                  #endif
 
 
 #include <$ac_header>
@@ -33252,76 +34095,21 @@ if test `eval echo '${'$as_ac_Header'}'` = yes; then
 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
 _ACEOF
 
-                                  GUI_TK_LIBRARY="$GUI_TK_LIBRARY -lXxf86vm"
+                              GUI_TK_LIBRARY="$GUI_TK_LIBRARY -lXxf86vm"
 
 fi
 
 done
 
-            else
-                { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-            fi
-
         else
             { echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6; }
-            { echo "$as_me:$LINENO: WARNING: Xinerama not found; disabling wxDisplay" >&5
-echo "$as_me: WARNING: Xinerama not found; disabling wxDisplay" >&2;}
-            wxUSE_DISPLAY="no"
         fi
-    elif test "$wxUSE_MSW" = 1; then
-        { echo "$as_me:$LINENO: checking for ddraw.h" >&5
-echo $ECHO_N "checking for ddraw.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_ddraw_h+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <windows.h>
-
-#include <ddraw.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_compile") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-  ac_cv_header_ddraw_h=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-       ac_cv_header_ddraw_h=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_ddraw_h" >&5
-echo "${ECHO_T}$ac_cv_header_ddraw_h" >&6; }
-
-
     fi
 fi
 
 if test "$wxUSE_DETECT_SM" = "yes"; then
-    if test "$wxUSE_UNIX" = "yes" -a "$wxUSE_MAC" != 1 -a "$wxUSE_COCOA" != 1; then
+    if test "$wxUSE_UNIX" = "yes" -a "$wxUSE_MAC" != 1 -a "$wxUSE_OLD_COCOA" != 1; then
         { echo "$as_me:$LINENO: checking for -lSM - X11 session management" >&5
 echo $ECHO_N "checking for -lSM - X11 session management... $ECHO_C" >&6; }
 
@@ -33374,7 +34162,7 @@ USE_OPENGL=0
 if test "$wxUSE_OPENGL" = "yes" -o "$wxUSE_OPENGL" = "auto"; then
 
 
-    if test "$wxUSE_OSX_CARBON" = 1 -o "$wxUSE_OSX_COCOA" = 1 -o "$wxUSE_COCOA" = 1; then
+    if test "$wxUSE_OSX_CARBON" = 1 -o "$wxUSE_OSX_COCOA" = 1 -o "$wxUSE_OLD_COCOA" = 1; then
         OPENGL_LIBS="-framework OpenGL -framework AGL"
     elif test "$wxUSE_MSW" = 1; then
         OPENGL_LIBS="-lopengl32 -lglu32"
@@ -34248,7 +35036,7 @@ TOOLCHAIN_NAME="${TOOLKIT_DIR}${TOOLKIT_VERSION}${WIDGET_SET}${lib_unicode_suffi
 TOOLCHAIN_FULLNAME="${HOST_PREFIX}${TOOLKIT_DIR}${TOOLKIT_VERSION}${WIDGET_SET}-${WX_CHARTYPE}${config_linkage_component}-${WX_RELEASE}${WX_FLAVOUR}"
 
 
-if test "$wxUSE_OSX_CARBON" = 1 -o "$wxUSE_OSX_COCOA" = 1 -o "$wxUSE_COCOA" = 1; then
+if test "$wxUSE_OSX_CARBON" = 1 -o "$wxUSE_OSX_COCOA" = 1 -o "$wxUSE_OLD_COCOA" = 1; then
     WX_LIBRARY_BASENAME_NOGUI="wx_base${lib_unicode_suffix}${WX_LIB_FLAVOUR}"
 else
     WX_LIBRARY_BASENAME_NOGUI="wx_base${WXBASEPORT}${lib_unicode_suffix}${WX_LIB_FLAVOUR}"
@@ -34261,7 +35049,7 @@ fi
 
 
 
-if test "$wxUSE_COCOA" = 1; then
+if test "$wxUSE_OLD_COCOA" = 1; then
 
     ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'
@@ -39181,6 +39969,10 @@ echo "$as_me: WARNING: BeOS threads are not yet supported... disabled" >&2;}
                 fi
                 ;;
 
+          *-*-qnx*)
+                                                THREAD_OPTS=""
+                ;;
+
           *-*-*UnixWare*)
                                 if test "x$GCC" != "xyes"; then
                     THREAD_OPTS="-Ethread"
@@ -39188,7 +39980,15 @@ echo "$as_me: WARNING: BeOS threads are not yet supported... disabled" >&2;}
                 ;;
         esac
 
-                                THREAD_OPTS="$THREAD_OPTS pthread none"
+        case "${host}" in
+            *-*-qnx*)
+                                                                THREAD_OPTS="none pthread"
+                ;;
+
+            *)
+                                                                                THREAD_OPTS="$THREAD_OPTS pthread none"
+                ;;
+        esac
 
                 THREADS_OK=no
         for flag in $THREAD_OPTS; do
@@ -41757,7 +42557,7 @@ fi
 
 if test "$GCC" = "yes" ; then
     if test "$wxUSE_NO_RTTI" = "yes" ; then
-        WXCONFIG_CXXFLAGS="$WXCONFIG_CXXFLAGS -fno-rtti"
+                                WXCONFIG_CXXFLAGS="$WXCONFIG_CXXFLAGS -DwxNO_RTTI -fno-rtti"
     fi
     if test "$wxUSE_NO_EXCEPTIONS" = "yes" ; then
         WXCONFIG_CXXFLAGS="$WXCONFIG_CXXFLAGS -fno-exceptions"
@@ -42427,6 +43227,158 @@ _ACEOF
 fi
 
 
+if test "$wxUSE_FSWATCHER" = "yes"; then
+                if test "$wxUSE_MSW" != "1"; then
+        if test "$wxUSE_UNIX" = "yes"; then
+
+for ac_header in sys/inotify.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  eval "$as_ac_Header=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       eval "$as_ac_Header=no"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+            if test "$ac_cv_header_sys_inotify_h" = "yes"; then
+                cat >>confdefs.h <<\_ACEOF
+#define wxHAS_INOTIFY 1
+_ACEOF
+
+            else
+
+for ac_header in sys/event.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  eval "$as_ac_Header=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       eval "$as_ac_Header=no"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+                if test "$ac_cv_header_sys_event_h" = "yes"; then
+                    cat >>confdefs.h <<\_ACEOF
+#define wxHAS_KQUEUE 1
+_ACEOF
+
+                else
+                    wxUSE_FSWATCHER=no
+                fi
+            fi
+        else
+            wxUSE_FSWATCHER=no
+        fi
+    fi
+
+    if test "$wxUSE_FSWATCHER" = "yes"; then
+        cat >>confdefs.h <<\_ACEOF
+#define wxUSE_FSWATCHER 1
+_ACEOF
+
+        SAMPLES_SUBDIRS="$SAMPLES_SUBDIRS fswatcher"
+    else
+        { echo "$as_me:$LINENO: WARNING: wxFileSystemWatcher won't be available on this platform" >&5
+echo "$as_me: WARNING: wxFileSystemWatcher won't be available on this platform" >&2;}
+    fi
+fi
+
+
 if test "$wxUSE_STL" = "yes"; then
   cat >>confdefs.h <<\_ACEOF
 #define wxUSE_STL 1
@@ -43583,6 +44535,13 @@ _ACEOF
   fi
 fi
 
+if test "$wxUSE_FILE_HISTORY" = "yes"; then
+  cat >>confdefs.h <<\_ACEOF
+#define wxUSE_FILE_HISTORY 1
+_ACEOF
+
+fi
+
 if test "$wxUSE_FILESYSTEM" = "yes"; then
   if test "$wxUSE_STREAMS" != yes -o \( "$wxUSE_FILE" != yes -a "$wxUSE_FFILE" != yes \); then
     { echo "$as_me:$LINENO: WARNING: wxFileSystem requires wxStreams and wxFile or wxFFile... disabled" >&5
@@ -45835,6 +46794,14 @@ _ACEOF
 
 fi
 
+if test "$wxUSE_UIACTIONSIMULATOR" = "yes" ; then
+    cat >>confdefs.h <<\_ACEOF
+#define wxUSE_UIACTIONSIMULATOR 1
+_ACEOF
+
+    SAMPLES_SUBDIRS="$SAMPLES_SUBDIRS uiaction"
+fi
+
 
 USES_CONTROLS=0
 if test "$wxUSE_CONTROLS" = "yes"; then
@@ -46290,7 +47257,7 @@ _ACEOF
 fi
 
 if test "$wxUSE_TOGGLEBTN" = "yes"; then
-    if test "$wxUSE_COCOA" = 1 ; then
+    if test "$wxUSE_OLD_COCOA" = 1 ; then
         { echo "$as_me:$LINENO: WARNING: Toggle button not yet supported under Mac OS X... disabled" >&5
 echo "$as_me: WARNING: Toggle button not yet supported under Mac OS X... disabled" >&2;}
         wxUSE_TOGGLEBTN=no
@@ -46373,7 +47340,7 @@ echo "$as_me: WARNING: wxTreeCtrl requires wxImageList and won't be compiled wit
 fi
 
 if test "$wxUSE_POPUPWIN" = "yes"; then
-    if test "$wxUSE_COCOA" = 1 ; then
+    if test "$wxUSE_OLD_COCOA" = 1 ; then
         { echo "$as_me:$LINENO: WARNING: Popup window not yet supported under Mac OS X... disabled" >&5
 echo "$as_me: WARNING: Popup window not yet supported under Mac OS X... disabled" >&2;}
     else
@@ -46393,7 +47360,7 @@ _ACEOF
 fi
 
 if test "$wxUSE_DIALUP_MANAGER" = "yes"; then
-    if test "$wxUSE_MAC" = 1 -o "$wxUSE_COCOA" = 1 -o "$wxUSE_MGL" = 1; then
+    if test "$wxUSE_MAC" = 1 -o "$wxUSE_OLD_COCOA" = 1 -o "$wxUSE_MGL" = 1; then
         { echo "$as_me:$LINENO: WARNING: Dialup manager not supported on this platform... disabled" >&5
 echo "$as_me: WARNING: Dialup manager not supported on this platform... disabled" >&2;}
     else
@@ -46532,7 +47499,7 @@ fi
 
 
         CPPFLAGS="$old_CPPFLAGS"
-    elif test "$wxUSE_COCOA" = 1; then
+    elif test "$wxUSE_OLD_COCOA" = 1; then
         cat >>confdefs.h <<\_ACEOF
 #define wxUSE_WEBKIT 1
 _ACEOF
 
 
 if test "$wxUSE_MAC" = 1; then
-       wxUSE_GRAPHICS_CONTEXT="yes"
+    wxUSE_GRAPHICS_CONTEXT="yes"
 fi
 
 if test "$wxUSE_GRAPHICS_CONTEXT" = "yes"; then
-   if test "$wxUSE_MAC" = 1 -o "$wxUSE_COCOA" = 1; then
-      cat >>confdefs.h <<\_ACEOF
-#define wxUSE_GRAPHICS_CONTEXT 1
+    wx_has_graphics=0
+    if test "$wxUSE_MSW" = 1; then
+        { echo "$as_me:$LINENO: checking if GDI+ is available" >&5
+echo $ECHO_N "checking if GDI+ is available... $ECHO_C" >&6; }
+if test "${wx_cv_lib_gdiplus+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+                                                ac_ext=cpp
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+
+                cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
 _ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <windows.h>
+                     #include <gdiplus.h>
+int
+main ()
+{
 
-   elif test "$wxUSE_GTK" != 1; then
-            cat >>confdefs.h <<\_ACEOF
-#define wxUSE_GRAPHICS_CONTEXT 1
+                        using namespace Gdiplus;
+
+  ;
+  return 0;
+}
 _ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_cxx_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  wx_cv_lib_gdiplus=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
-   else
+       wx_cv_lib_gdiplus=no
+
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+                ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
+
+
+
+fi
+{ echo "$as_me:$LINENO: result: $wx_cv_lib_gdiplus" >&5
+echo "${ECHO_T}$wx_cv_lib_gdiplus" >&6; }
+        if test "$wx_cv_lib_gdiplus" = "yes"; then
+            wx_has_graphics=1
+        fi
+    elif test "$wxUSE_GTK" = 1; then
 
 pkg_failed=no
 { echo "$as_me:$LINENO: checking for CAIRO" >&5
        # Put the nasty error message in config.log where it belongs
        echo "$CAIRO_PKG_ERRORS" >&5
 
-       { echo "$as_me:$LINENO: WARNING: Cairo library not found, unable to set wxUSE_GRAPHICS_CONTEXT" >&5
-echo "$as_me: WARNING: Cairo library not found, unable to set wxUSE_GRAPHICS_CONTEXT" >&2;}
+       { echo "$as_me:$LINENO: WARNING: Cairo library not found" >&5
+echo "$as_me: WARNING: Cairo library not found" >&2;}
 
 elif test $pkg_failed = untried; then
-       { echo "$as_me:$LINENO: WARNING: Cairo library not found, unable to set wxUSE_GRAPHICS_CONTEXT" >&5
-echo "$as_me: WARNING: Cairo library not found, unable to set wxUSE_GRAPHICS_CONTEXT" >&2;}
+       { echo "$as_me:$LINENO: WARNING: Cairo library not found" >&5
+echo "$as_me: WARNING: Cairo library not found" >&2;}
 
 else
        CAIRO_CFLAGS=$pkg_cv_CAIRO_CFLAGS
        CAIRO_LIBS=$pkg_cv_CAIRO_LIBS
         { echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6; }
-       cat >>confdefs.h <<\_ACEOF
+       wx_has_graphics=1
+fi
+    else
+                wx_has_graphics=1
+    fi
+
+    if test "$wx_has_graphics" = 1; then
+        cat >>confdefs.h <<\_ACEOF
 #define wxUSE_GRAPHICS_CONTEXT 1
 _ACEOF
 
-fi
-   fi
+    else
+        { echo "$as_me:$LINENO: WARNING: wxGraphicsContext won't be available" >&5
+echo "$as_me: WARNING: wxGraphicsContext won't be available" >&2;}
+    fi
 fi
 
 
 EXTRA_FRAMEWORKS=
 if test "$wxUSE_MAC" = 1 ; then
     if test "$USE_DARWIN" = 1; then
-        EXTRA_FRAMEWORKS="-framework IOKit -framework Carbon -framework Cocoa -framework AudioToolbox -framework System -framework OpenGL -framework QuickTime"
+        if test "$wxUSE_OSX_IPHONE" = 1; then
+            EXTRA_FRAMEWORKS="-framework IOKit -framework UIKit -framework CFNetwork -framework AudioToolbox -framework CoreFoundation -framework CoreGraphics -framework OpenGLES -framework Foundation -framework QuartzCore"
+        else
+            EXTRA_FRAMEWORKS="-framework IOKit -framework Carbon -framework Cocoa -framework AudioToolbox -framework System -framework OpenGL -framework QuickTime"
+        fi
     fi
 fi
-if test "$wxUSE_COCOA" = 1 ; then
+if test "$wxUSE_OLD_COCOA" = 1 ; then
     EXTRA_FRAMEWORKS="-framework IOKit -framework Cocoa"
     if test "$wxUSE_MEDIACTRL" = "yes"; then
         EXTRA_FRAMEWORKS="$EXTRA_FRAMEWORKS -framework QuickTime"
     fi
 fi
-if test "$USE_DARWIN" = 1 -a "$wxUSE_MAC" != 1 -a "$wxUSE_COCOA" != 1 ; then
+if test "$USE_DARWIN" = 1 -a "$wxUSE_MAC" != 1 -a "$wxUSE_OLD_COCOA" != 1 ; then
     EXTRA_FRAMEWORKS="$EXTRA_FRAMEWORKS -framework IOKit -framework CoreServices -framework System -framework ApplicationServices"
 fi
 
@@ -47382,7 +48425,7 @@ if test "$wxUSE_GUI" = "yes"; then
     if test "$TOOLKIT" = "MSW"; then
         SAMPLES_SUBDIRS="$SAMPLES_SUBDIRS regtest"
         if test "$wxUSE_UNIVERSAL" != "yes"; then
-            SAMPLES_SUBDIRS="$SAMPLES_SUBDIRS ownerdrw nativdlg"
+            SAMPLES_SUBDIRS="$SAMPLES_SUBDIRS ownerdrw nativdlg dll"
         fi
     fi
     if test "$TOOLKIT" = "PM" -a "$wxUSE_UNIVERSAL" != "yes"; then
 
 
 
-TOOLKIT_LOWERCASE=xxx
-if test "$TOOLKIT" = "MAC"; then
-    TOOLKIT_LOWERCASE=osx_carbon
-fi
-if test "$TOOLKIT" = "OSX_CARBON"; then
-    TOOLKIT_LOWERCASE=osx_carbon
-fi
-if test "$TOOLKIT" = "OSX_COCOA"; then
-    TOOLKIT_LOWERCASE=osx_cocoa
-fi
-if test "$TOOLKIT_LOWERCASE" = "xxx"; then
-    TOOLKIT_LOWERCASE=`echo $TOOLKIT | tr '[A-Z]' '[a-z]'`
-fi
+TOOLKIT_LOWERCASE=`echo $TOOLKIT | tr '[A-Z]' '[a-z]'`
 
 
 
@@ -48408,7 +49439,10 @@ echo "${ECHO_T}$bakefile_cv_prog_makeisgnu" >&6; }
                 PLATFORM_BEOS=1
             ;;
             * )
-                                            ;;
+                { { echo "$as_me:$LINENO: error: Unknown platform: $BAKEFILE_FORCE_PLATFORM" >&5
+echo "$as_me: error: Unknown platform: $BAKEFILE_FORCE_PLATFORM" >&2;}
+   { (exit 1); exit 1; }; }
+            ;;
         esac
     fi
 
@@ -48679,7 +49713,7 @@ EOF
         chmod +x shared-ld-sh
 
         SHARED_LD_MODULE_CC="`pwd`/shared-ld-sh -bundle -headerpad_max_install_names -o"
-        SHARED_LD_MODULE_CXX="CXX=\$(CXX) $SHARED_LD_MODULE_CC"
+        SHARED_LD_MODULE_CXX="CXX=\"\$(CXX)\" $SHARED_LD_MODULE_CC"
 
 
                                 { echo "$as_me:$LINENO: checking for gcc 3.1 or later" >&5
 
 
 
-    BAKEFILE_BAKEFILE_M4_VERSION="0.2.6"
+    BAKEFILE_BAKEFILE_M4_VERSION="0.2.8"
 
 
-BAKEFILE_AUTOCONF_INC_M4_VERSION="0.2.6"
+BAKEFILE_AUTOCONF_INC_M4_VERSION="0.2.8"
 
 
 
@@ -50316,6 +51350,11 @@ EOF
         COND_PLATFORM_MACOSX_1_PLATFORM_MSDOS_0=""
     fi
 
+    COND_PLATFORM_MACOSX_1_PLATFORM_WIN32_1_SHARED_0="#"
+    if test "x$PLATFORM_MACOSX" = "x1" -a "x$PLATFORM_WIN32" = "x1" -a "x$SHARED" = "x0" ; then
+        COND_PLATFORM_MACOSX_1_PLATFORM_WIN32_1_SHARED_0=""
+    fi
+
     COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_CARBON_USE_GUI_1="#"
     if test "x$PLATFORM_MACOSX" = "x1" -a "x$TOOLKIT" = "xOSX_CARBON" -a "x$USE_GUI" = "x1" ; then
         COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_CARBON_USE_GUI_1=""
@@ -50336,6 +51375,16 @@ EOF
         COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_COCOA_USE_GUI_1_WXUNIV_0=""
     fi
 
+    COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1="#"
+    if test "x$PLATFORM_MACOSX" = "x1" -a "x$TOOLKIT" = "xOSX_IPHONE" -a "x$USE_GUI" = "x1" ; then
+        COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1=""
+    fi
+
+    COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1_WXUNIV_0="#"
+    if test "x$PLATFORM_MACOSX" = "x1" -a "x$TOOLKIT" = "xOSX_IPHONE" -a "x$USE_GUI" = "x1" -a "x$WXUNIV" = "x0" ; then
+        COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1_WXUNIV_0=""
+    fi
+
     COND_PLATFORM_MACOSX_1_USE_GUI_1="#"
     if test "x$PLATFORM_MACOSX" = "x1" -a "x$USE_GUI" = "x1" ; then
         COND_PLATFORM_MACOSX_1_USE_GUI_1=""
@@ -50421,6 +51470,11 @@ EOF
         COND_PLATFORM_WIN32_1=""
     fi
 
+    COND_PLATFORM_WIN32_1_SHARED_0="#"
+    if test "x$PLATFORM_WIN32" = "x1" -a "x$SHARED" = "x0" ; then
+        COND_PLATFORM_WIN32_1_SHARED_0=""
+    fi
+
     COND_SHARED_0="#"
     if test "x$SHARED" = "x0" ; then
         COND_SHARED_0=""
@@ -50636,6 +51690,16 @@ EOF
         COND_TOOLKIT_OSX_IPHONE=""
     fi
 
+    COND_TOOLKIT_OSX_IPHONE_USE_GUI_1="#"
+    if test "x$TOOLKIT" = "xOSX_IPHONE" -a "x$USE_GUI" = "x1" ; then
+        COND_TOOLKIT_OSX_IPHONE_USE_GUI_1=""
+    fi
+
+    COND_TOOLKIT_OSX_IPHONE_USE_GUI_1_WXUNIV_0="#"
+    if test "x$TOOLKIT" = "xOSX_IPHONE" -a "x$USE_GUI" = "x1" -a "x$WXUNIV" = "x0" ; then
+        COND_TOOLKIT_OSX_IPHONE_USE_GUI_1_WXUNIV_0=""
+    fi
+
     COND_TOOLKIT_PM="#"
     if test "x$TOOLKIT" = "xPM" ; then
         COND_TOOLKIT_PM=""
@@ -50686,6 +51750,11 @@ EOF
         COND_UNICODE_1=""
     fi
 
+    COND_USE_CAIRO_1="#"
+    if test "x$USE_CAIRO" = "x1" ; then
+        COND_USE_CAIRO_1=""
+    fi
+
     COND_USE_EXCEPTIONS_0="#"
     if test "x$USE_EXCEPTIONS" = "x0" ; then
         COND_USE_EXCEPTIONS_0=""
@@ -50942,7 +52011,7 @@ echo "$as_me: error: Required windres program not found" >&2;}
     RESCOMP="$WINDRES $WINDRES_CPU_DEFINE"
 fi
 
-if test "$wxUSE_MAC" = 1 -o "$wxUSE_COCOA" = 1; then
+if test "$wxUSE_MAC" = 1 -o "$wxUSE_OLD_COCOA" = 1; then
             WX_RESOURCES_MACOSX_ASCII="libwx_${TOOLCHAIN_NAME}.${wx_release_number}.r"
     WX_RESOURCES_MACOSX_DATA="libwx_${TOOLCHAIN_NAME}.${wx_release_number}.rsrc"
 
@@ -52094,6 +53163,8 @@ CXX!$CXX$ac_delim
 CXXFLAGS!$CXXFLAGS$ac_delim
 ac_ct_CXX!$ac_ct_CXX$ac_delim
 AR!$AR$ac_delim
+OSX_SW_VERS!$OSX_SW_VERS$ac_delim
+CXXCPP!$CXXCPP$ac_delim
 subdirs!$subdirs$ac_delim
 PKG_CONFIG!$PKG_CONFIG$ac_delim
 GTK_CFLAGS!$GTK_CFLAGS$ac_delim
@@ -52129,8 +53200,6 @@ HILDON_CFLAGS!$HILDON_CFLAGS$ac_delim
 HILDON_LIBS!$HILDON_LIBS$ac_delim
 HILDON2_CFLAGS!$HILDON2_CFLAGS$ac_delim
 HILDON2_LIBS!$HILDON2_LIBS$ac_delim
-PYTHON!$PYTHON$ac_delim
-COND_PYTHON!$COND_PYTHON$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -52172,6 +53241,8 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+PYTHON!$PYTHON$ac_delim
+COND_PYTHON!$COND_PYTHON$ac_delim
 CAIRO_CFLAGS!$CAIRO_CFLAGS$ac_delim
 CAIRO_LIBS!$CAIRO_LIBS$ac_delim
 GST_CFLAGS!$GST_CFLAGS$ac_delim
@@ -52267,8 +53338,6 @@ BK_DEPS!$BK_DEPS$ac_delim
 WINDRES!$WINDRES$ac_delim
 REZ!$REZ$ac_delim
 SETFILE!$SETFILE$ac_delim
-OBJCXXFLAGS!$OBJCXXFLAGS$ac_delim
-GCC_PCH!$GCC_PCH$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -52310,6 +53379,8 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+OBJCXXFLAGS!$OBJCXXFLAGS$ac_delim
+GCC_PCH!$GCC_PCH$ac_delim
 ICC_PCH!$ICC_PCH$ac_delim
 ICC_PCH_CREATE_SWITCH!$ICC_PCH_CREATE_SWITCH$ac_delim
 ICC_PCH_USE_SWITCH!$ICC_PCH_USE_SWITCH$ac_delim
@@ -52383,10 +53454,13 @@ COND_PLATFORM_MACOSX_0_USE_SOVERCYGWIN_0_USE_SOVERSION_1!$COND_PLATFORM_MACOSX_0
 COND_PLATFORM_MACOSX_0_USE_SOVERSION_1!$COND_PLATFORM_MACOSX_0_USE_SOVERSION_1$ac_delim
 COND_PLATFORM_MACOSX_1!$COND_PLATFORM_MACOSX_1$ac_delim
 COND_PLATFORM_MACOSX_1_PLATFORM_MSDOS_0!$COND_PLATFORM_MACOSX_1_PLATFORM_MSDOS_0$ac_delim
+COND_PLATFORM_MACOSX_1_PLATFORM_WIN32_1_SHARED_0!$COND_PLATFORM_MACOSX_1_PLATFORM_WIN32_1_SHARED_0$ac_delim
 COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_CARBON_USE_GUI_1!$COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_CARBON_USE_GUI_1$ac_delim
 COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_CARBON_USE_GUI_1_WXUNIV_0!$COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_CARBON_USE_GUI_1_WXUNIV_0$ac_delim
 COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_COCOA_USE_GUI_1!$COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_COCOA_USE_GUI_1$ac_delim
 COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_COCOA_USE_GUI_1_WXUNIV_0!$COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_COCOA_USE_GUI_1_WXUNIV_0$ac_delim
+COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1!$COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1$ac_delim
+COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1_WXUNIV_0!$COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1_WXUNIV_0$ac_delim
 COND_PLATFORM_MACOSX_1_USE_GUI_1!$COND_PLATFORM_MACOSX_1_USE_GUI_1$ac_delim
 COND_PLATFORM_MACOSX_1_USE_OPENGL_1!$COND_PLATFORM_MACOSX_1_USE_OPENGL_1$ac_delim
 COND_PLATFORM_MACOSX_1_USE_SOVERSION_1!$COND_PLATFORM_MACOSX_1_USE_SOVERSION_1$ac_delim
@@ -52402,11 +53476,6 @@ COND_PLATFORM_UNIX_1_TOOLKIT_MGL!$COND_PLATFORM_UNIX_1_TOOLKIT_MGL$ac_delim
 COND_PLATFORM_UNIX_1_TOOLKIT_MGL_USE_GUI_1!$COND_PLATFORM_UNIX_1_TOOLKIT_MGL_USE_GUI_1$ac_delim
 COND_PLATFORM_UNIX_1_USE_GUI_1!$COND_PLATFORM_UNIX_1_USE_GUI_1$ac_delim
 COND_PLATFORM_UNIX_1_USE_PLUGINS_0!$COND_PLATFORM_UNIX_1_USE_PLUGINS_0$ac_delim
-COND_PLATFORM_WIN32_0!$COND_PLATFORM_WIN32_0$ac_delim
-COND_PLATFORM_WIN32_1!$COND_PLATFORM_WIN32_1$ac_delim
-COND_SHARED_0!$COND_SHARED_0$ac_delim
-COND_SHARED_0_TOOLKIT_MAC_WXUNIV_0!$COND_SHARED_0_TOOLKIT_MAC_WXUNIV_0$ac_delim
-COND_SHARED_0_TOOLKIT_MSW_WXUNIV_0!$COND_SHARED_0_TOOLKIT_MSW_WXUNIV_0$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -52448,6 +53517,12 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+COND_PLATFORM_WIN32_0!$COND_PLATFORM_WIN32_0$ac_delim
+COND_PLATFORM_WIN32_1!$COND_PLATFORM_WIN32_1$ac_delim
+COND_PLATFORM_WIN32_1_SHARED_0!$COND_PLATFORM_WIN32_1_SHARED_0$ac_delim
+COND_SHARED_0!$COND_SHARED_0$ac_delim
+COND_SHARED_0_TOOLKIT_MAC_WXUNIV_0!$COND_SHARED_0_TOOLKIT_MAC_WXUNIV_0$ac_delim
+COND_SHARED_0_TOOLKIT_MSW_WXUNIV_0!$COND_SHARED_0_TOOLKIT_MSW_WXUNIV_0$ac_delim
 COND_SHARED_0_TOOLKIT_PM_WXUNIV_0!$COND_SHARED_0_TOOLKIT_PM_WXUNIV_0$ac_delim
 COND_SHARED_0_USE_GUI_1_USE_OPENGL_1!$COND_SHARED_0_USE_GUI_1_USE_OPENGL_1$ac_delim
 COND_SHARED_0_USE_GUI_1_wxUSE_LIBJPEG_builtin!$COND_SHARED_0_USE_GUI_1_wxUSE_LIBJPEG_builtin$ac_delim
@@ -52488,6 +53563,8 @@ COND_TOOLKIT_OSX_CARBON_USE_GUI_1!$COND_TOOLKIT_OSX_CARBON_USE_GUI_1$ac_delim
 COND_TOOLKIT_OSX_COCOA!$COND_TOOLKIT_OSX_COCOA$ac_delim
 COND_TOOLKIT_OSX_COCOA_USE_GUI_1!$COND_TOOLKIT_OSX_COCOA_USE_GUI_1$ac_delim
 COND_TOOLKIT_OSX_IPHONE!$COND_TOOLKIT_OSX_IPHONE$ac_delim
+COND_TOOLKIT_OSX_IPHONE_USE_GUI_1!$COND_TOOLKIT_OSX_IPHONE_USE_GUI_1$ac_delim
+COND_TOOLKIT_OSX_IPHONE_USE_GUI_1_WXUNIV_0!$COND_TOOLKIT_OSX_IPHONE_USE_GUI_1_WXUNIV_0$ac_delim
 COND_TOOLKIT_PM!$COND_TOOLKIT_PM$ac_delim
 COND_TOOLKIT_PM_USE_GUI_1!$COND_TOOLKIT_PM_USE_GUI_1$ac_delim
 COND_TOOLKIT_PM_USE_GUI_1_WXUNIV_0!$COND_TOOLKIT_PM_USE_GUI_1_WXUNIV_0$ac_delim
@@ -52498,6 +53575,7 @@ COND_TOOLKIT_WINCE_WXUNIV_0!$COND_TOOLKIT_WINCE_WXUNIV_0$ac_delim
 COND_TOOLKIT_X11!$COND_TOOLKIT_X11$ac_delim
 COND_TOOLKIT_X11_USE_GUI_1!$COND_TOOLKIT_X11_USE_GUI_1$ac_delim
 COND_UNICODE_1!$COND_UNICODE_1$ac_delim
+COND_USE_CAIRO_1!$COND_USE_CAIRO_1$ac_delim
 COND_USE_EXCEPTIONS_0!$COND_USE_EXCEPTIONS_0$ac_delim
 COND_USE_EXCEPTIONS_1!$COND_USE_EXCEPTIONS_1$ac_delim
 COND_USE_GUI_0!$COND_USE_GUI_0$ac_delim
@@ -52536,15 +53614,6 @@ COND_WXUSE_LIBPNG_BUILTIN!$COND_WXUSE_LIBPNG_BUILTIN$ac_delim
 COND_WXUSE_LIBTIFF_BUILTIN!$COND_WXUSE_LIBTIFF_BUILTIN$ac_delim
 COND_WXUSE_REGEX_BUILTIN!$COND_WXUSE_REGEX_BUILTIN$ac_delim
 COND_WXUSE_ZLIB_BUILTIN!$COND_WXUSE_ZLIB_BUILTIN$ac_delim
-COND_wxUSE_EXPAT_builtin!$COND_wxUSE_EXPAT_builtin$ac_delim
-COND_wxUSE_LIBJPEG_builtin!$COND_wxUSE_LIBJPEG_builtin$ac_delim
-COND_wxUSE_LIBPNG_builtin!$COND_wxUSE_LIBPNG_builtin$ac_delim
-COND_wxUSE_LIBTIFF_builtin!$COND_wxUSE_LIBTIFF_builtin$ac_delim
-COND_wxUSE_REGEX_builtin!$COND_wxUSE_REGEX_builtin$ac_delim
-COND_wxUSE_ZLIB_builtin!$COND_wxUSE_ZLIB_builtin$ac_delim
-DEREZ!$DEREZ$ac_delim
-SHARED!$SHARED$ac_delim
-WX_LIBRARY_BASENAME_NOGUI!$WX_LIBRARY_BASENAME_NOGUI$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -52586,6 +53655,15 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+COND_wxUSE_EXPAT_builtin!$COND_wxUSE_EXPAT_builtin$ac_delim
+COND_wxUSE_LIBJPEG_builtin!$COND_wxUSE_LIBJPEG_builtin$ac_delim
+COND_wxUSE_LIBPNG_builtin!$COND_wxUSE_LIBPNG_builtin$ac_delim
+COND_wxUSE_LIBTIFF_builtin!$COND_wxUSE_LIBTIFF_builtin$ac_delim
+COND_wxUSE_REGEX_builtin!$COND_wxUSE_REGEX_builtin$ac_delim
+COND_wxUSE_ZLIB_builtin!$COND_wxUSE_ZLIB_builtin$ac_delim
+DEREZ!$DEREZ$ac_delim
+SHARED!$SHARED$ac_delim
+WX_LIBRARY_BASENAME_NOGUI!$WX_LIBRARY_BASENAME_NOGUI$ac_delim
 WX_LIBRARY_BASENAME_GUI!$WX_LIBRARY_BASENAME_GUI$ac_delim
 USE_GUI!$USE_GUI$ac_delim
 AFMINSTALL!$AFMINSTALL$ac_delim
@@ -52630,7 +53708,7 @@ LIBOBJS!$LIBOBJS$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 42; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 51; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5